Bug 101879 - Pressing F6 doesnt first access the menubar (gtk3)
Summary: Pressing F6 doesnt first access the menubar (gtk3)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.3
Keywords: accessibility
Depends on:
Blocks:
 
Reported: 2016-09-03 16:08 UTC by Yousuf Philips (jay)
Modified: 2016-09-15 14:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2016-09-03 16:08:22 UTC
On a gtk3 build, you have to press f6 twice to access the menubar, while it is accessible by pressing f6 once on the gtk2 build and windows. The first pressing of f6 on gtk3 accesses the standard toolbar.
Comment 1 Yousuf Philips (jay) 2016-09-06 21:17:18 UTC
This might be a symptom of gtk3 builds incorrectly opening the gtk2 menubar (bug 101881).
Comment 2 Maxim Monastirsky 2016-09-06 22:26:24 UTC
Confirmed - but only when opened Writer from the start center. If I run "soffice --writer", it works like with gtk2.
Comment 3 Caolán McNamara 2016-09-11 20:09:26 UTC
I think with the native gtk3 menu its triggers registration of the others, inserting them first into the last list, during its update before it gets inserted itself. So ends up after them in the list.
Comment 4 Commit Notification 2016-09-12 16:10:29 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=830ac71eca425caf04764076e3064b5f1ad05c52

Resolves: tdf#101879 explicitly put menubars at the start of task lists

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Yousuf Philips (jay) 2016-09-12 20:56:46 UTC
Thanks caolan. Hope the fix can be back ported to 5.2 as i would assume it is also affected by this, but as i dont have a 5.2 gtk3 build, i cant confirm that. :D
Comment 6 Commit Notification 2016-09-15 14:30:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=436e616fead1c372827fd18fe388cfa6cf4049a3&h=libreoffice-5-2

Resolves: tdf#101879 explicitly put menubars at the start of task lists

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.